Bug 40912 - scp fails when copying from RH7.1 to RH6.2
scp fails when copying from RH7.1 to RH6.2
Product: Red Hat Linux
Classification: Retired
Component: openssh (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Depends On:
  Show dependency treegraph
Reported: 2001-05-16 11:15 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-02-03 08:27:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
ssh log from a failed logon attempt (6.27 KB, text/plain)
2001-06-29 12:05 EDT, Vidar Langseid
no flags Details
ssh debug for client and server (8.13 KB, text/plain)
2002-05-30 11:46 EDT, Need Real Name
no flags Details

  None (edit)
Description Need Real Name 2001-05-16 11:15:15 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)

Description of problem:
"scp machine2:/tmp/file ." fails. Machine "machine2" is RH6.2 using open-
ssh 2.5.2p2 installed from RPMs and machine1 (.) is RH7.1 running stock 
open-ssh install. machine1 asks if I want to accept the RSA1 fingerprint 
from remote. I answer "yes" and it prompts for password. After I issue 
password, I get message "connection closed by remote host."

machine2 logs the following in /var/log/messages:

"May 16 09:34:56 remote sshd[989]: Accepted password for joeuser from 
aaa.bbb.ccc.ddd port 1044"

Nothing is logged by machine1. 

ssh works fine between the two machines and if I ssh from machine1 into 
machine2 I can execute "scp /tmp/file machine1:/tmp" and the file copies 
no problem.

machine2 was a fresh install of RH7.1 and just to make sure it wasn't a 
problem with the install, I re-installed from scratch. The problem still 
existed. machine1 has been a server in production for almost a year. I've 
never had a problem with it. I have not tried to duplicate this other than 
re-installing machine1.

How reproducible:

Steps to Reproduce:
see description.

Actual Results:  see description.

Expected Results:  expected file to copy from /tmp/file on machine 2 to 
pwd (.) on machine1.

Additional info:
Comment 1 Olivier Baudron 2001-05-20 05:39:37 EDT
Can you turn on debugging mode on the ssh server?
Comment 2 Vidar Langseid 2001-06-29 12:03:35 EDT
I do also experience simular problems. I have two rh7.1 which I have problems
logging in to. (Other rh7.1 computers I have seems to do just fine)
Problems exists when both connecting from a rh6.1(openssl-0.9.5a-14,
openssh-clients-2.5.2p2-5) and rh7.1(openssl-0.9.6-3, openssh-clients-2.5.2p2-5)
I experience this problem with ssh (havn't tested this with scp as the initial
When connection with the rh6.1 client it fails most of the time:
[vl@foo vl]$ ssh test
vl@mao's password:
Last login: Fri Jun 29 16:56:51 2001 from foo.bar
sh: /usr/X11R6/bin/xauth: No such file or directory
Connection to test closed.
The server accepts the password but then closes the connection
When connecting from a rh7.1 I manage to logon most of the time. It fails more
rarely from rh7.1. But it seems to fail more often if I supply a command on the
ssh prompt like this
# ssh test ls -l

I will submit a log from the server as you requested

Best regards,
Comment 3 Vidar Langseid 2001-06-29 12:05:54 EDT
Created attachment 22228 [details]
ssh log from a failed logon attempt
Comment 4 Dimitri Papadopoulos 2002-04-23 15:57:40 EDT
This is maybe related to 61658.

At least the report sent by dpo@club-internet.fr in 61658 seems to be a
duplicate of this.
Comment 5 Vidar Langseid 2002-04-24 04:00:45 EDT
Does anyone still experience this ? For me, the problem disappeared a long time
ago (before I upgraded to openssh-3.x.)

Is it possible that this bug is releated to BUG 54741 ?
54751 is resolved. So is this problem as well I believe.

I don't think this is releated to BUG 61658. 61658 is regarding stalling
connections. This bug however, causes login problems (you get disconnected as
soon you have logged in)

Comment 6 Vidar Langseid 2002-04-24 04:06:59 EDT
> 54751 is resolved. So is this problem as well I believe.
Sorry, a typo.. Should read:
54741 is resolved. So is this problem as well I believe.
Comment 7 Mike A. Harris 2002-05-29 23:02:35 EDT
Setting to MODIFIED state to get confirmation the problem is resolved.
If not, please change status back to ASSIGNED, etc.
Comment 8 Need Real Name 2002-05-30 11:41:14 EDT
I do in fact still experience this problem, despite the updates to ssh since opening this case. 
Specifically, it occurs when I scp a file from a RH 6.2 box (server) to the local box (RH 7.1 client). 
The problem seems to be specific to the 6.2 box since I can recreate it on just about any other client 
(including Windows ports of scp). I will attempt to upload debug output.
Comment 9 Need Real Name 2002-05-30 11:46:16 EDT
Created attachment 58966 [details]
ssh debug for client and server
Comment 10 Tomas Mraz 2005-02-03 08:27:10 EST
6.2 is unsupported for many years now.

Note You need to log in before you can comment on or make changes to this bug.